/* autogenerated by embedmodel.py.  DO NOT EDIT */

#include <zebra.h>
#include "yang.h"

static const char model[] =
	"// SPDX-License-Identifier: BSD-2-Clause\n"
	"module frr-backend {\n"
	"  yang-version 1.1;\n"
	"  namespace \"http://frrouting.org/yang/oper\";\n"
	"  prefix frr-backend;\n"
	"\n"
	"  organization\n"
	"    \"FRRouting\";\n"
	"  contact\n"
	"    \"FRR Users List:       <mailto:frog@lists.frrouting.org>\n"
	"     FRR Development List: <mailto:dev@lists.frrouting.org>\";\n"
	"  description\n"
	"    \"This module defines a model for FRR backend management.\n"
	"\n"
	"     Copyright (c) 2024, LabN Consulting, L.L.C.\n"
	"\n"
	"     Redistribution and use in source and binary forms, with or without\n"
	"     modification, are permitted provided that the following conditions\n"
	"     are met:\n"
	"\n"
	"     1. Redistributions of source code must retain the above copyright notice,\n"
	"     this list of conditions and the following disclaimer.\n"
	"\n"
	"     2. Redistributions in binary form must reproduce the above copyright\n"
	"     notice, this list of conditions and the following disclaimer in the\n"
	"     documentation and/or other materials provided with the distribution.\n"
	"\n"
	"     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n"
	"     \\\"AS IS\\\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n"
	"     LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n"
	"     A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n"
	"     HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
	"     SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n"
	"     LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n"
	"     DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n"
	"     THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n"
	"     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n"
	"     OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\";\n"
	"\n"
	"  revision 2024-12-29 {\n"
	"    description \"Initial revision\";\n"
	"    reference \"FRR source code\";\n"
	"  }\n"
	"\n"
	"  container clients {\n"
	"    config false;\n"
	"    description \"The backend clients\";\n"
	"\n"
	"    list client {\n"
	"      key name;\n"
	"      description \"A backend client\";\n"
	"\n"
	"      leaf name {\n"
	"        type string;\n"
	"        description \"Name of the backend client\";\n"
	"      }\n"
	"\n"
	"      container state {\n"
	"        description \"FRR backend operational state\";\n"
	"\n"
	"        leaf candidate-config-version {\n"
	"          type uint64;\n"
	"          description \"Local candidate config version.\";\n"
	"        }\n"
	"        leaf running-config-version {\n"
	"          type uint64;\n"
	"          description \"Local running config version.\";\n"
	"        }\n"
	"        leaf edit-count {\n"
	"          type uint64;\n"
	"          description \"Number of config edits handled.\";\n"
	"        }\n"
	"        leaf avg-edit-time {\n"
	"          type uint64;\n"
	"          description \"Average edit time in microseconds.\";\n"
	"        }\n"
	"        leaf prep-count {\n"
	"          type uint64;\n"
	"          description \"Number of config preps handled.\";\n"
	"        }\n"
	"        leaf avg-prep-time {\n"
	"          type uint64;\n"
	"          description \"Average prep time in microseconds.\";\n"
	"        }\n"
	"        leaf apply-count {\n"
	"          type uint64;\n"
	"          description \"Number of config applies handled.\";\n"
	"        }\n"
	"        leaf avg-apply-time {\n"
	"          type uint64;\n"
	"          description \"Average apply time in microseconds.\";\n"
	"        }\n"
	"        leaf-list notify-selectors {\n"
	"          type string;\n"
	"          description\n"
	"            \"List of paths identifying which state to send change\n"
	"               notifications for.\";\n"
	"        }\n"
	"      }\n"
	"    }\n"
	"  }\n"
	"}\n"
	"";

static struct yang_module_embed embed = {
	.mod_name = "frr-backend",
	.mod_rev = "2024-12-29",
	.sub_mod_name = "",
	.sub_mod_rev = "",
	.data = model,
	.format = LYS_IN_YANG,
};

static void embed_register(void) __attribute__((_CONSTRUCTOR(2000)));
static void embed_register(void)
{
	yang_module_embed(&embed);
}
